Package com.emc.d2fs.interfaces

# Interface IDictionaryService

All Superinterfaces:
  `ID2fsService`

public interface IDictionaryService extends ID2fsService
Dictionary management services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataHandler`
  `exportDictionary(Context context, String dictionaryName, String format, String separator)`
  Export dictionary -- Use getExportDictionaryUrl() when using SOAP.
  `String`
  `getDictionaryNumberValue(Context context, String objectId)`
  Get dictionary number value
  `String`
  `getExportDictionaryUrl(Context context, String dictionaryName, String format, String separator)`
  Get export dictionary url
  `String`
  `getImportDictionaryUrl(Context context, String dictionaryName, String separator, boolean overwrite)`
  Get import dictionary url
  `void`
  `importDictionary(Context context, String dictionaryName, String format, String separator, DataHandler file)`
  Import dictionary into docbase -- Use getImportDictionaryUrl() when using SOAP.
  `String`
  `importVersionDictionary(Context context, String objectId, List<Attribute> attributes)`
  Import dictionary version
  `List<DictionaryOperationResult>`
  `performOperations(Context context, String dictionaryName, List<DictionaryOperation> operations)`
  Perform dictionary operations on specified element
  `String`
  `requestDocbaseUpdate(Context context, String objectId, List<Attribute> attributes)`
  Request docbase update
  `String`
  `saveVersionDictionary(Context context, String objectId, List<Attribute> attributes)`
  Save dictionary version
  `void`
  `setBaseUrl(String url)`
  Set server base url used to build the url for `getExportDictionaryUrl` or `getImportDictionaryUrl`

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### performOperations

    List<DictionaryOperationResult> performOperations(Context context, String dictionaryName, List<DictionaryOperation> operations) throws D2fsException
    Perform dictionary operations on specified element
    Parameters:
      `context` - `Context` object containing informations about client/session
      `dictionaryName` - String value of dictionary name
      `operations` - `DictionaryOperation` list of operations
    Returns:
      `DictionaryOperationResult` list of result
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### importDictionary

    void importDictionary(Context context, String dictionaryName, String format, String separator, DataHandler file) throws D2fsException
    Import dictionary into docbase -- Use getImportDictionaryUrl() when using SOAP.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `dictionaryName` - String value of dictionary name
      `format` - String value of dictionary format
      `separator` - String value of data separator value
      `file` - `DataHandler` object of file data
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### exportDictionary

    DataHandler exportDictionary(Context context, String dictionaryName, String format, String separator) throws D2fsException
    Export dictionary -- Use getExportDictionaryUrl() when using SOAP.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `dictionaryName` - String value of dictionary name
      `format` - String value of dictionary format
      `separator` - String value of data separator value
    Returns:
      `DataHandler` object of file data
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### setBaseUrl

    void setBaseUrl(String url)
    Set server base url used to build the url for `getExportDictionaryUrl` or `getImportDictionaryUrl`
    Parameters:
      `url` - String value of base url
    Since:
      4.1.0

  - ### getExportDictionaryUrl

    String getExportDictionaryUrl(Context context, String dictionaryName, String format, String separator) throws Exception
    Get export dictionary url
    Parameters:
      `context` - `Context` object containing informations about client/session
      `dictionaryName` - String Name of the dictionary to export
      `format` - String value of dictionary format
      `separator` - String value of data separator value
    Returns:
      String value of export url
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### getImportDictionaryUrl

    String getImportDictionaryUrl(Context context, String dictionaryName, String separator, boolean overwrite) throws Exception
    Get import dictionary url
    Parameters:
      `context` - `Context` object containing informations about client/session
      `dictionaryName` - String Name of the dictionary to import
      `separator` - String value of data separator value
      `overwrite` - boolean value for overwrite option, append if false
    Returns:
      String value of import url
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### getDictionaryNumberValue

    String getDictionaryNumberValue(Context context, String objectId) throws Exception
    Get dictionary number value
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of dictionary name
    Returns:
      String value of object name and value count
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### saveVersionDictionary

    String saveVersionDictionary(Context context, String objectId, List<Attribute> attributes) throws Exception
    Save dictionary version
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of dictionary name
      `attributes` - List of `Attribute` as params
    Returns:
      String value of xmlContent as result
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### importVersionDictionary

    String importVersionDictionary(Context context, String objectId, List<Attribute> attributes) throws Exception
    Import dictionary version
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of dictionary name
      `attributes` - List of `Attribute` as params
    Returns:
      String value of xmlContent as result
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0

  - ### requestDocbaseUpdate

    String requestDocbaseUpdate(Context context, String objectId, List<Attribute> attributes) throws Exception
    Request docbase update
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of dictionary name
      `attributes` - List of `Attribute` as params
    Returns:
      String value of xmlContent as result
    Throws:
      `D2fsException`
      `Exception`
    Since:
      4.1.0